Subject: Re: bug#55387: 28.1.50; csv-mode: header does not align when line numbers are displayed

From: Eli Zaretskii <[email-masked]>
Date: Fri, 13 May 2022 20:09:01 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Fri, 13 May 2022 18:04:08 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> I don't really understand your point here, so I'm probably
> >> misunderstanding something fundamental.  My thought was just that the
> >> thing that produces the line number would set a
> >> line-number-width/columns variable.
> >
> > There's no such variable.  line-number-display-width is a function, it
> > computes the result anew when called.
> 
> I know.  We would introduce such a variable and (offer to) use it in
> header-line-mode.

That's impossible, because the value depends on the buffer position.